Talkr AI
API ReferenceCampaigns

List Campaigns

Retrieve all campaigns for your organization

GET
/api/v1/campaign/

Header Parameters

authorization?string|null
X-API-Key?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/campaign/"
{  "campaigns": [    {      "id": 0,      "name": "string",      "workflow_id": 0,      "workflow_name": "string",      "state": "string",      "source_type": "string",      "source_id": "string",      "total_rows": 0,      "processed_rows": 0,      "failed_rows": 0,      "created_at": "2019-08-24T14:15:22Z",      "started_at": "2019-08-24T14:15:22Z",      "completed_at": "2019-08-24T14:15:22Z",      "retry_config": {        "enabled": true,        "max_retries": 0,        "retry_delay_seconds": 0,        "retry_on_busy": true,        "retry_on_no_answer": true,        "retry_on_voicemail": true      },      "max_concurrency": 0,      "schedule_config": {        "enabled": true,        "timezone": "string",        "slots": [          {            "day_of_week": 0,            "start_time": "string",            "end_time": "string"          }        ]      },      "circuit_breaker": {        "enabled": false,        "failure_threshold": 0.5,        "window_seconds": 120,        "min_calls_in_window": 5      },      "executed_count": 0,      "total_queued_count": 0,      "parent_campaign_id": 0,      "redialed_campaign_id": 0,      "telephony_configuration_id": 0,      "telephony_configuration_name": "string",      "logs": [        {          "ts": "string",          "level": "string",          "event": "string",          "message": "string",          "details": {}        }      ]    }  ]}